/**
 * 请勿将俱乐部专享资源复制给其他人，保护知识产权即是保护我们所在的行业，进而保护我们自己的利益
 * 即便是公司的同事，也请尊重 JFinal 作者的努力与付出，不要复制给同事
 * <p>
 * 如果你尚未加入俱乐部，请立即删除该项目，或者现在加入俱乐部：http://jfinal.com/club
 * <p>
 * 俱乐部将提供 jfinal-club 项目文档与设计资源、专用 QQ 群，以及作者在俱乐部定期的分享与答疑，
 * 价值远比仅仅拥有 jfinal club 项目源代码要大得多
 * <p>
 * JFinal 俱乐部是五年以来首次寻求外部资源的尝试，以便于有资源创建更加
 * 高品质的产品与服务，为大家带来更大的价值，所以请大家多多支持，不要将
 * 首次的尝试扼杀在了摇篮之中
 */

package com.jfinal.club.common;

import com.jfinal.club._admin.login.LoginAdminController;
import com.jfinal.club.common.upload.UploadController;
import com.jfinal.club.index.IndexController;
import com.jfinal.club.login.LoginController;
import com.jfinal.club.my.ct.UserCtController;
import com.jfinal.club.my.doc.UsersDocController;
import com.jfinal.club.my.help.HelpController;
import com.jfinal.club.my.like.LikeController;
import com.jfinal.club.my.newsfeed.UsersController;
import com.jfinal.club.my.ques.QuestionsContrller;
import com.jfinal.club.my.safe.UsersSafeController;
import com.jfinal.club.reg.RegController;
import com.jfinal.club.user.newsfeed.UserNewsFeedController;
import com.jfinal.club.ws.WsInfoController;
import com.jfinal.config.Routes;

/**
 * 前台路由
 */
public class FrontRoutes extends Routes {

    @Override
    public void config() {
        setBaseViewPath("/_view");


        add("/admin/logins", LoginAdminController.class, "/_admin/login");
        add("/", IndexController.class, "/index");
        add("/login", LoginController.class);
        add("/reg", RegController.class);
        add("/common/upload", UploadController.class);

        add("/like", LikeController.class);



        // 个人空间：由于共用了相同的拦截器，后续可将其拆分到 MyRoutes 中去，可减少拦截器配置冗余
        add("/my", UsersController.class, "/my/newsfeed");
        add("/ct", UserCtController.class, "/my/ct");
        add("/safe", UsersSafeController.class, "/my/safe");
        add("/doc", UsersDocController.class, "/my/doc");
        add("/ques", QuestionsContrller.class, "/my/ques/");
        add("/help", HelpController.class, "/my/help/");

        //文书
        add("/ws", WsInfoController.class, "/ws");

        // 用户空间
        add("/user", UserNewsFeedController.class, "/user/newsfeed");
    }
}
